=== renamed directory 'storage/csv' => 'plugin/csv'
=== modified file 'plugin/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2009-04-12 07:28:35 +0000
+++ plugin/csv/ha_tina.cc	2009-04-25 20:53:16 +0000
@@ -44,11 +44,12 @@
 #include <drizzled/field.h>
 #include <drizzled/field/blob.h>
 #include <drizzled/field/timestamp.h>
-#include <storage/csv/ha_tina.h>
 #include <drizzled/error.h>
 #include <drizzled/table.h>
 #include <drizzled/session.h>
 
+#include "ha_tina.h"
+
 #include <string>
 
 using namespace std;

=== renamed file 'storage/csv/Makefile.am' => 'plugin/csv/plugin.am'
--- storage/csv/Makefile.am	2008-12-20 23:44:07 +0000
+++ plugin/csv/plugin.am	2009-04-25 20:53:16 +0000
@@ -14,16 +14,4 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
 
-noinst_HEADERS	  =	ha_tina.h transparent_file.h
-
-EXTRA_LTLIBRARIES =	ha_csv.la
-pkglib_LTLIBRARIES =	@plugin_csv_shared_target@
-ha_csv_la_LDFLAGS =	-module -avoid-version -rpath $(MYSQLLIBdir)
-ha_csv_la_CXXFLAGS =	$(AM_CXXFLAGS) -DDRIZZLE_PLUGIN
-ha_csv_la_SOURCES =	transparent_file.cc ha_tina.cc 
-
-EXTRA_LIBRARIES =	libcsv.a
-noinst_LIBRARIES =	@plugin_csv_static_target@
-libcsv_a_SOURCES =	transparent_file.cc ha_tina.cc
-
-EXTRA_DIST =		plug.in
+noinst_HEADERS+=	plugin/csv/ha_tina.h plugin/csv/transparent_file.h

=== renamed file 'storage/csv/plug.in' => 'plugin/csv/plugin.ini'
--- storage/csv/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/csv/plugin.ini	2009-04-25 20:53:16 +0000
@@ -1,5 +1,6 @@
-DRIZZLE_STORAGE_ENGINE(csv,,      [CSV Storage Engine],
-        [Stores tables in text CSV format])
-DRIZZLE_PLUGIN_DIRECTORY(csv,     [storage/csv])
-DRIZZLE_PLUGIN_STATIC(csv,        [libcsv.a])
-DRIZZLE_PLUGIN_MANDATORY(csv)     dnl Used for logging
+[plugin]
+name=csv
+title=CSV Storage Engine
+description=Stores tables in text CSV format
+load_by_default=yes
+sources=transparent_file.cc ha_tina.cc

